﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;

namespace WindowsFormsApplication1
{
    public class CustomLabel : Label
    {
        public CustomLabel()
        {
            this.SetStyle(ControlStyles.UserPaint, true);
        }

        protected override void OnPaint(PaintEventArgs e)
        {
            if (!Enabled)
            {
                SolidBrush drawBrush = new SolidBrush(Color.DarkSlateBlue);
               
                e.Graphics.DrawString(Text, Font, drawBrush, 0f, 0f);
            }
            else
            {
                base.OnPaint(e);
            }
        }
    }
}
